import java.util.Scanner;
import java.io.File;

/**
 * @author Dave Reed
 */
public class QuizDriver {
    public static void main(String[] args) {
        ClassList students = new ClassList();

        System.out.println("Enter the file name: ");
        Scanner input = new Scanner(System.in);
        String filename = input.next();
        
        try {
            Scanner infile = new Scanner(new File(filename));
            while (infile.hasNext()) {
                String lastName = infile.next();
                String firstName = infile.next();
                int quizNum = infile.nextInt();
                int points = infile.nextInt();
                int possible = infile.nextInt();
                students.recordQuiz(lastName, firstName, quizNum, points, possible);
            }
            students.displayAll();
        }
        catch (java.io.FileNotFoundException e) {
            System.out.println("FILE NOT FOUND");
        }
    }
        
}
